Bug 45388 - We need a POM file added to the Maven repository
We need a POM file added to the Maven repository
Status: RESOLVED FIXED
Product: Security - Now in JIRA
Classification: Unclassified
Component: Encryption
Java 1.4
All All
: P1 normal
: ---
Assigned To: XML Security Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-07-13 06:18 UTC by Glen Mazza
Modified: 2009-09-29 02:18 UTC (History)
2 users (show)



Attachments
A patch for this issue (10.27 KB, patch)
2009-05-29 06:59 UTC, coheigea
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Mazza 2008-07-13 06:18:28 UTC
Hello, whenever I am running the Apache CXF web service stack with security options via Maven it is continually trying to find a POM file in the Maven repo--very annoying:

"Downloading: http://repo1.maven.org/maven2/org/apache/santuario/xmlsec/1.4.0/xmlsec-1.4.0.pom"

Problem is, there is no .pom file there.  If you could place one in that directory, it would be a nice help for Maven-using CXFers.
Comment 1 Fernando Ribeiro 2009-05-12 10:40:26 UTC
Any update yet? 1.4.1 has the same issue.
Comment 2 coheigea 2009-05-29 06:59:59 UTC
Created attachment 23727 [details]
A patch for this issue


Please see attached for a patch for this issue. The patch consists of a "pom.xml" that should be added to trunk. Using this pom it's possible to build the java component of XML-Security with maven, run the unit tests and install an OSGi bundle into the local maven repository.

1) mvn compile  - compiles the Java source code under src
2) mvn test - runs the unit tests under src_unitTests (doesn't run the javax unit tests yet)
3) mvn install - compile, run the tests and install the bundle into the local repository
4) mvn -Pfastinstall - compile and install without running the tests

I've tested the built artifact with both WSS4J and CXF. The pom will likely need some tweaking before 1.4.3 goes out, but it'll do for now.

Colm.
Comment 3 Fernando Ribeiro 2009-05-30 21:24:20 UTC
Looks good to me, make sure the POM is published to the appropriate Maven repositories.
Comment 4 coheigea 2009-07-08 03:06:11 UTC
Patch applied.

Colm.
Comment 5 Fernando Ribeiro 2009-07-09 09:45:20 UTC
When can I expect to find the file in the Maven repositories?
Comment 6 Fernando Ribeiro 2009-07-18 10:20:39 UTC
I still don't see it anywhere.
Comment 7 coheigea 2009-07-20 02:59:13 UTC
We're about to release XML-Security 1.4.3. Once that gets done I'll upload the relevant artifacts, including the pom, to the central maven repo.

Colm.
Comment 8 Fernando Ribeiro 2009-07-20 17:16:23 UTC
Thanks for the update.
Comment 9 Stuart James Penrose 2009-09-28 20:04:17 UTC
It may be that I'm missing something, but I still don't see this pom out there in the central repo.  Was this indeed deployed to central, or am I and my build infrastructure just not seeing it?
Comment 10 coheigea 2009-09-29 02:18:30 UTC
(In reply to comment #9)
> It may be that I'm missing something, but I still don't see this pom out there
> in the central repo.  Was this indeed deployed to central, or am I and my build
> infrastructure just not seeing it?

http://repo2.maven.org/maven2/org/apache/santuario/xmlsec/1.4.3/xmlsec-1.4.3.pom

Colm.